%define monoprefix %_prefix/lib
%define dbus_version 0.90
%define dbus_glib_version 0.71

Summary: D-BUS message bus C# bindings for mono
Name: dbus-sharp
Version: 0.70
Release: %mkrel 2
URL: http://www.freedesktop.org/Software/dbus
Source0: %{name}-%{version}.tar.bz2
Patch: dbus-sharp-0.70-dllmap.patch.bz2
License: AFL/GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9
Requires: %{_lib}dbus-glib
BuildRequires: gtk-sharp-devel
BuildRequires: mono-devel
BuildRequires: mono-tools

%description
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package provides the C# bindings for using D-Bus from mono.


%prep
%setup -q 
%patch -p1

%build

%configure2_5x 
%make

%install
rm -rf %{buildroot}
mkdir -p %buildroot`monodoc --get-sourcesdir`

%makeinstall_std
# gw wrong on x86_64
%if %_lib != lib
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
perl -pi -e "s^%_libdir^%_prefix/lib^" %buildroot%_libdir/pkgconfig/dbus-sharp.pc
%endif

#remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post 
%_bindir/monodoc --make-index > /dev/null
%postun 
if [ -x %{_bindir}/monodoc ]; then
%_bindir/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%monoprefix/mono/dbus-sharp/
%monoprefix/mono/gac/dbus-sharp/
%monoprefix/monodoc/sources/dbus-sharp*
%_libdir/pkgconfig/dbus-sharp.pc

%changelog
* Tue Aug  1 2006 Götz Waschk <waschk@mandriva.org> 0.70-2mdv2007.0
- fix dll map

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.70-1mdv2007.0
- Initial package (based on dbus 0.62)
